Skip to main content
GET
/
managed_accounts
/
{macc_id}
/
transactions
curl https://production.methodfi.com/managed_accounts/macc_123456789/transactions \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "success": true,
  "data": [
    {
      "id": "macc_txn_123456789",
      "description": "ELECTRONIC BILL PAY WELLS FARGO FINANC 2116418",
      "date": "2024-02-01",
      "amount": -8229
    },
    {
      "id": "macc_txn_123456788",
      "description": "ELECTRONIC BILL PAY MOUNTAIN AMERICA F 2116418",
      "date": "2024-02-01",
      "amount": -3500
    }
  ],
  "message": null
}
Returns a list of transactions for a specific Managed Account.

Path Parameters

Query Parameters

Returns

Returns a list of Managed Account Transaction objects.
curl https://production.methodfi.com/managed_accounts/macc_123456789/transactions \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "success": true,
  "data": [
    {
      "id": "macc_txn_123456789",
      "description": "ELECTRONIC BILL PAY WELLS FARGO FINANC 2116418",
      "date": "2024-02-01",
      "amount": -8229
    },
    {
      "id": "macc_txn_123456788",
      "description": "ELECTRONIC BILL PAY MOUNTAIN AMERICA F 2116418",
      "date": "2024-02-01",
      "amount": -3500
    }
  ],
  "message": null
}